<?php
/*
 * @ https://EasyToYou.eu - IonCube v11 Decoder Online
 * @ PHP 7.4
 * @ Decoder version: 1.0.2
 * @ Release: 10/08/2022
 */

// Decoded file for php version 74.
if(!defined("IN_SITE")) {
    exit("The Request Not Found");
}
$body = ["title" => "Chỉnh sửa Server Cron Job", "desc" => "CMSNT Panel", "keyword" => "cmsnt, CMSNT, cmsnt.co,"];
$body["header"] = "\n\n";
$body["footer"] = "\n<!-- bs-custom-file-input -->\n<script src=\"" . BASE_URL("public/AdminLTE3/") . "plugins/bs-custom-file-input/bs-custom-file-input.min.js\"></script>\n<!-- Page specific script -->\n<script>\n\$(function () {\n  bsCustomFileInput.init();\n});\n</script> \n";
require_once __DIR__ . "/../../models/is_admin.php";
if(isset($_GET["id"])) {
    $id = check_string($_GET["id"]);
    $row = $CMSNT->get_row("SELECT * FROM `cron_server` WHERE `id` = '" . $id . "' ");
    if(!$row) {
        redirect(base_url("admin/cron-jobs"));
    }
} else {
    redirect(base_url("admin/cron-jobs"));
}
require_once __DIR__ . "/header.php";
require_once __DIR__ . "/sidebar.php";
require_once __DIR__ . "/nav.php";
if(!checkPermission($getUser["admin"], "edit_server")) {
    exit("<script type=\"text/javascript\">if(!alert(\"Bạn không có quyền sử dụng tính năng này\")){window.history.back();}</script>");
}
if(isset($_POST["saveServerCron"])) {
    if($CMSNT->site("status_demo") != 0) {
        exit("<script type=\"text/javascript\">if(!alert(\"" . __("This function cannot be used because this is a demo site") . "\")){window.history.back().location.reload();}</script>");
    }
    if(empty($_POST["name"])) {
        exit("<script type=\"text/javascript\">if(!alert(\"Vui lòng nhập tên Server\")){window.history.back().location.reload();}</script>");
    }
    $name = check_string($_POST["name"]);
    if(empty($_POST["ip"])) {
        exit("<script type=\"text/javascript\">if(!alert(\"Vui lòng nhập IP Server\")){window.history.back().location.reload();}</script>");
    }
    $ip = check_string($_POST["ip"]);
    $price = (int) check_string($_POST["price"]);
    if(empty($_POST["max"])) {
        exit("<script type=\"text/javascript\">if(!alert(\"Số lượng giới hạn không hợp lệ\")){window.history.back().location.reload();}</script>");
    }
    $max = (int) check_string($_POST["max"]);
    if($max <= 0) {
        exit("<script type=\"text/javascript\">if(!alert(\"Số lượng giới hạn không hợp lệ\")){window.history.back().location.reload();}</script>");
    }
    if(empty($_POST["timeloop"])) {
        exit("<script type=\"text/javascript\">if(!alert(\"Số lượng giới hạn không hợp lệ\")){window.history.back().location.reload();}</script>");
    }
    $timeloop = (int) check_string($_POST["timeloop"]);
    if($timeloop <= 0) {
        exit("<script type=\"text/javascript\">if(!alert(\"Vòng lặp tối thiểu không hợp lệ\")){window.history.back().location.reload();}</script>");
    }
    if(empty($_POST["timeout"])) {
        exit("<script type=\"text/javascript\">if(!alert(\"Vui lòng nhập timeout\")){window.history.back().location.reload();}</script>");
    }
    $timeout = (int) check_string($_POST["timeout"]);
    if($timeout <= 0) {
        exit("<script type=\"text/javascript\">if(!alert(\"Timeout không hợp lệ\")){window.history.back().location.reload();}</script>");
    }
    $isUpdate = $CMSNT->update("cron_server", ["name" => $name, "ip" => $ip, "timeloop" => $timeloop, "timeout" => $timeout, "max" => $max, "price" => $price, "status" => check_string($_POST["status"]), "updated_at" => gettime(), "note" => !empty($_POST["note"]) ? check_string($_POST["note"]) : ""], " `id` = '" . $id . "' ");
    if($isUpdate) {
        $Mobile_Detect = new Mobile_Detect();
        $CMSNT->insert("logs", ["user_id" => $getUser["id"], "ip" => myip(), "device" => $Mobile_Detect->getUserAgent(), "createdate" => gettime(), "action" => "Edit Server Cron (" . $name . ")."]);
        $my_text = $CMSNT->site("noti_action");
        $my_text = str_replace("{domain}", $_SERVER["SERVER_NAME"], $my_text);
        $my_text = str_replace("{username}", $getUser["username"], $my_text);
        $my_text = str_replace("{action}", "Edit Server Cron (" . $name . ").", $my_text);
        $my_text = str_replace("{ip}", myip(), $my_text);
        $my_text = str_replace("{time}", gettime(), $my_text);
        sendMessAdmin($my_text);
        exit("<script type=\"text/javascript\">if(!alert(\"Lưu thành công !\")){window.history.back().location.reload();}</script>");
    }
    exit("<script type=\"text/javascript\">if(!alert(\"Lưu thất bại !\")){window.history.back().location.reload();}</script>");
}
echo "\n\n<div class=\"main-content app-content\">\n    <div class=\"container-fluid\">\n        <div class=\"d-md-flex d-block align-items-center justify-content-between my-4 page-header-breadcrumb\">\n            <h1 class=\"page-title fw-semibold fs-18 mb-0\"><i class=\"fa-solid fa-server\"></i> Chỉnh sửa Server Cron Job\n                '<b style=\"color:red;\">";
echo $row["name"];
echo "</b>'</h1>\n            <div class=\"ms-md-1 ms-0\">\n            </div>\n        </div>\n        <div class=\"row\">\n            <div class=\"col-xl-7\">\n                <div class=\"card custom-card\">\n                    <div class=\"card-header justify-content-between\">\n                        <div class=\"card-title\">\n                            CHỈNH SỬA SERVER CRON\n                        </div>\n                    </div>\n                    <div class=\"card-body\">\n                        <form action=\"\" method=\"POST\" enctype=\"multipart/form-data\">\n                            <div class=\"row mb-4\">\n                                <label class=\"col-sm-4 col-form-label\" for=\"example-hf-email\">";
echo __("Tên Server");
echo "                                    (<span class=\"text-danger\">*</span>)</label>\n                                <div class=\"col-sm-8\">\n                                    <input type=\"text\" class=\"form-control\" value=\"";
echo $row["name"];
echo "\" name=\"name\"\n                                        required>\n                                </div>\n                            </div>\n                            <div class=\"row mb-4\">\n                                <label class=\"col-sm-4 col-form-label\" for=\"example-hf-email\">";
echo __("IP Server");
echo "                                    (<span class=\"text-danger\">*</span>)</label>\n                                <div class=\"col-sm-8\">\n                                    <input type=\"text\" class=\"form-control\" value=\"";
echo $row["ip"];
echo "\" name=\"ip\" required>\n                                </div>\n                            </div>\n                            <div class=\"row mb-4\">\n                                <label class=\"col-sm-4 col-form-label\" for=\"example-hf-email\">";
echo __("Giá thuê");
echo "                                    (<span class=\"text-danger\">*</span>)</label>\n                                <div class=\"col-sm-8\">\n                                    <div class=\"input-group\">\n                                        <input type=\"number\" class=\"form-control\" value=\"";
echo $row["price"];
echo "\"\n                                            name=\"price\" required>\n                                        <span class=\"input-group-text\">\n                                            ";
echo __("1 Tháng");
echo "                                        </span>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"row mb-4\">\n                                <label class=\"col-sm-4 col-form-label\"\n                                    for=\"example-hf-email\">";
echo __("Giới hạn tối đa");
echo " (<span\n                                        class=\"text-danger\">*</span>)</label>\n                                <div class=\"col-sm-8\">\n                                    <div class=\"input-group\">\n                                        <input type=\"text\" class=\"form-control\" name=\"max\" value=\"";
echo $row["max"];
echo "\"\n                                            required>\n                                        <span class=\"input-group-text\">\n                                            ";
echo __("Link Active");
echo "                                        </span>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"row mb-4\">\n                                <label class=\"col-sm-4 col-form-label\" for=\"example-hf-email\">";
echo __("Vòng lặp tối thiểu");
echo "                                    (<span class=\"text-danger\">*</span>)</label>\n                                <div class=\"col-sm-8\">\n                                    <div class=\"input-group\">\n                                        <input type=\"text\" class=\"form-control\" name=\"timeloop\"\n                                            value=\"";
echo $row["timeloop"];
echo "\" required>\n                                        <span class=\"input-group-text\">\n                                            ";
echo __("giây");
echo "                                        </span>\n                                    </div>\n                                    <small>Nhập 0 nếu muốn miễn phí</small>\n                                </div>\n                            </div>\n                            <div class=\"row mb-4\">\n                                <label class=\"col-sm-4 col-form-label\" for=\"example-hf-email\">";
echo __("Timeout");
echo "                                    (<span class=\"text-danger\">*</span>)</label>\n                                <div class=\"col-sm-8\">\n                                    <div class=\"input-group\">\n                                        <input type=\"text\" class=\"form-control\" name=\"timeout\"\n                                            value=\"";
echo $row["timeout"];
echo "\" required>\n                                        <span class=\"input-group-text\">\n                                            ";
echo __("giây");
echo "                                        </span>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"row mb-4\">\n                                <label class=\"col-sm-4 col-form-label\" for=\"example-hf-email\">Trạng thái (<span\n                                        class=\"text-danger\">*</span>)</label>\n                                <div class=\"col-sm-8\">\n                                    <select class=\"form-control\" name=\"status\" required>\n                                        <option ";
echo $row["status"] == 1 ? "selected" : "";
echo " value=\"1\">Hoạt động</option>\n                                        <option ";
echo $row["status"] == 0 ? "selected" : "";
echo " value=\"0\">Tạm dừng</option>\n                                    </select>\n                                </div>\n                            </div>\n                            <div class=\"row mb-4\">\n                                <label class=\"col-sm-4 col-form-label\" for=\"example-hf-email\">Ghi chú Admin nếu\n                                    có</label>\n                                <div class=\"col-sm-8\">\n                                    <textarea class=\"form-control\" rows=\"3\" name=\"note\">";
echo $row["note"];
echo "</textarea>\n                                </div>\n                            </div>\n                            <a type=\"button\" class=\"btn btn-danger shadow-danger btn-wave\"\n                                href=\"";
echo base_url_admin("cron-job-server");
echo "\"><i class=\"fa fa-fw fa-undo me-1\"></i>\n                                ";
echo __("Back");
echo "</a>\n                            <button type=\"submit\" name=\"saveServerCron\"\n                                class=\"btn btn-primary shadow-primary btn-wave\"><i class=\"fa fa-fw fa-save me-1\"></i>\n                                ";
echo __("Save");
echo "</button>\n                        </form>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n\n\n\n\n\n";
require_once __DIR__ . "/footer.php";

?>